BJ Movement - Bug #1402

Captain Krasnok the Immortal
2015-05-08 12:04 AM - LostOne

Status: Closed
Priority: Normal
Assignee:
Category:

Target version:

vbulletin_issue_id:

Description

Part of the movment script doesn't seem to be ending after the Captain Krasnok the Immortal fight. | continue to get the following
spam in my console after he's dead... it doesn't even end when you zone out.

23:57:18: Clicking on cannon ball 1.
23:57:20: Clicking on cannon ball 1.
23:57:22: Clicking on cannon ball 1.

History

#1 - 2015-07-03 02:26 PM - LostOne

2 fixes are needed for this fight:

First, if you are redoing this fight from a failed attempt and the bard already has a cannonball on him it will be stuck in a loop trying to pickup a new
one when you already have on in your inventory. Runscript this prior to the fight:

if ${Me.Inventory[a heavy cannonball].Quantity} ==

{
}

Me.Inventory[a heavy cannonball]:Destroy

Second, is after the fight you need to reload movment because it doesn't auto disable on death:
relay ${OgreRelayGroup} BJ End Movement

wait 50
relay ${OgreRelayGroup} BJ Movement

#2 - 2015-07-29 09:03 PM - blammo
agreed -- been bitten by both bugs, and ended up having to (1) delete the cannon ball, and (2) kill/reload all scripts.

#3 - 2015-11-19 08:36 AM - bjcasey

- Status changed from New to Closed
